package dsuyasov.recognition;

import dsuyasov.recognition.ui.page.Page;
import dsuyasov.recognition.rulesModel.Memory;
import dsuyasov.recognition.util.localization.Localization;
import dsuyasov.recognition.util.MessageUtil;

import javax.swing.*;

/**
 * @author Dmitriy Suyasov
 *         Date 26.02.2007
 */
public class Main extends JApplet {
    private static final int DEFAULT_WIDTH = 900;
    private static final int DEFAULT_HEIGHT = 700;

    private static final String LOCALIZATION_PARAMETER = "localization";

    public boolean needLocalizationInitialization = true;

    public void init() {
        // Set localization
        if (needLocalizationInitialization) setInitialLocalization(getParameter(LOCALIZATION_PARAMETER));
        Page.initialize(this);
    }

    public static void setInitialLocalization(String localization) {
        if (localization != null) {
            for (String label : Localization.getLocalizationLabels()) {
                if (label.equals(localization)) {
                    Memory.add(Memory.LOCALIZATION, localization);
                    break;
                }
            }
        }
    }

    public static void main(String[] args) {
        for (String arg : args) {
            if (arg.startsWith(LOCALIZATION_PARAMETER + "=")) {
                setInitialLocalization(arg.substring(LOCALIZATION_PARAMETER.length() + 1));
            }
        }
        Main mainForm = new Main();
        run(mainForm, DEFAULT_WIDTH, DEFAULT_HEIGHT);
    }

    public static void run(JApplet applet, int width, int height) {
        JFrame frame = new JFrame(Localization.get(Localization.PROGRAM_TITLE));
        Memory.add(Memory.FRAME, frame);
        frame.setContentPane(applet);
        frame.setSize(width, height);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        ((Main) applet).needLocalizationInitialization = false;
        applet.init();
        applet.start();
        frame.setVisible(true);
    }

}
