package dsuyasov.recognition.files;

import dsuyasov.recognition.rulesModel.CellularAutomata;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.dom.DOMSource;
import java.io.File;

/**
 * @author Dmitriy Suyasov
 */
public class CellularAutomataSaver implements Saver{

    private CellularAutomata cellularAutomata;

    public CellularAutomataSaver(CellularAutomata cellularAutomata) {
        this.cellularAutomata = cellularAutomata;
    }

    public boolean save(String fileName) {
        Document document;
        try {
            document = DocumentBuilderFactoryImpl.newInstance().newDocumentBuilder().newDocument();
        } catch (ParserConfigurationException e) {
            throw new RuntimeException(e);
        }
        Node rootNode = document.createElement("rule");
        document.appendChild(rootNode);
        cellularAutomata.toXML(document, rootNode);

        TransformerFactory tFactory =
                TransformerFactory.newInstance();
        Transformer transformer = null;
        try {
            transformer = tFactory.newTransformer();

            DOMSource source = new DOMSource(document);
            StreamResult result = new StreamResult(new File(fileName));
            transformer.transform(source, result);
        } catch (TransformerConfigurationException e) {
            throw new RuntimeException("Error while saving the document", e);
        } catch (TransformerException e) {
            throw new RuntimeException("Error while saving the document", e);
        }

        return true;
    }

    public String getTitle() {
        return "CellularAutomata Files";
    }

    public String getExtension() {
        return "rul";
    }
}
