package dsuyasov.recognition.files;

import dsuyasov.recognition.rulesModel.Memory;
import dsuyasov.recognition.util.MessageUtil;

import javax.swing.*;
import javax.swing.filechooser.FileFilter;
import java.io.IOException;
import java.io.File;
import java.util.Map;
import java.util.HashMap;


/**
 * @author Dmitriy Suyasov
 *         Date 17.04.2007
 */
public class LoadFile {

    private Loader loader;
    private String fileName;

    public LoadFile(Loader loader) {
        this.loader = loader;
        this.fileName = "";
    }

    public Object load() {
        JFileChooser chooser = new JFileChooser();
        RuleFileFilter filter = new RuleFileFilter();
        for (String extention : loader.getExtension().split(",")) {
            filter.addExtension(extention.trim());
        }
        filter.setDescription(loader.getTitle());
        chooser.setFileFilter(filter);
        int returnVal = chooser.showOpenDialog((JApplet) Memory.get(Memory.APPLET));
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            try {
                fileName = chooser.getSelectedFile().getCanonicalPath();
            } catch (IOException e) {
                MessageUtil.alert(e.getMessage());
                return null;
            }

            return loader.load(fileName);
        }
        return null;
    }

    public String getFileName() {
        return fileName;
    }

    private class RuleFileFilter extends FileFilter {

        private Map<String, Boolean> extentions = new HashMap<String, Boolean>();
        private String description;

        public boolean accept(File file) {
            if (file.isFile()) {
                int index = file.getName().lastIndexOf(".");
                if (index < 0)
                    return false;
                else
                    return extentions.get(file.getName().substring(index + 1).toLowerCase()) != null;
            } else return true;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public void addExtension(String s) {
            extentions.put(s, Boolean.TRUE);
        }
    }
}
