package dsuyasov.recognition.files;

import dsuyasov.recognition.util.MessageUtil;
import dsuyasov.recognition.ui.page.ShowPicturePage;
import dsuyasov.recognition.rulesModel.Memory;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.io.File;
import java.io.IOException;

/**
 * @author Dmitriy Suyasov
 */
public class PictureLoader implements Loader, ActionListener {
    public Object load(String fileName) {
        BufferedImage image;
        try {
            image = ImageIO.read(new File(fileName));
        } catch (IOException e) {
            MessageUtil.alert(e.getMessage());
            return null;
        }
        Memory.add(Memory.PICTURE_FILE_NAME, fileName);
        Memory.add(Memory.PICTURE, image);

        ShowPicturePage.setAsCurrent();
        return image;
    }

    public String getTitle() {
        return "BMP, JPG & GIF Images";
    }

    public String getExtension() {
        return "bmp, jpg, gif";
    }

    public void actionPerformed(ActionEvent e) {
        new LoadFile(new PictureLoader()).load();
    }
}
