package dsuyasov.recognition.rulesModel;

import dsuyasov.recognition.util.localization.Localization;

/**
 * @author Dmitriy Suyasov
*/
public enum AutomataDimention {
    ONE_CELL(Localization.DIMENTION_1_CELL_TITLE),
    NINE_CELLS(Localization.DIMENTION_9_CELLS_TITLE),
    TWENTY_FIVE_CELLS(Localization.DIMENTION_25_CELLS_TITLE);

    public static final String DIMENTION_1_CELL = Localization.get(Localization.DIMENTION_1_CELL_TITLE);
    public static final String DIMENTION_9_CELLS = Localization.get(Localization.DIMENTION_9_CELLS_TITLE);
    public static final String DIMENTION_25_CELLS = Localization.get(Localization.DIMENTION_25_CELLS_TITLE);

    private String title;

    AutomataDimention(String title) {
        this.title = Localization.get(title);
    }

    public String getTitle() {
        return title;
    }

    public int getDimention() {
        if (title.equals(DIMENTION_9_CELLS))
            return 1;
        else if (title.equals(DIMENTION_25_CELLS))
            return 2;
        else
            return 0;
    }

    public static AutomataDimention getRuleDimention(String title) {
        if (title.equals(DIMENTION_9_CELLS)) {
            return NINE_CELLS;
        } else if (title.equals(DIMENTION_25_CELLS)) {
            return TWENTY_FIVE_CELLS;
        } else if (title.equals(DIMENTION_1_CELL)) {
            return ONE_CELL;
        } else {
            return null;
        }
    }
}
