package dsuyasov.recognition.rulesModel;

import dsuyasov.recognition.util.localization.Localization;

public enum ContinueCondition {
    ONCE(Localization.ONCE_CONTINUE_CONDITION_TITLE),
    WHILE_MAKE_SENCE(Localization.WHILE_MAKE_SENCE_CONTINUE_CONDITION_TITLE),
    WHILE_FIRST_OCCURED(Localization.WHILE_FIRST_OCCURED_CONTINUE_CONDITION_TITLE),;

    public static final String ONCE_CONDITION = Localization.get(Localization.ONCE_CONTINUE_CONDITION_TITLE);
    public static final String WHILE_MAKE_SENCE_CONDITION = Localization.get(Localization.WHILE_MAKE_SENCE_CONTINUE_CONDITION_TITLE);
    public static final String WHILE_FIRST_OCCURED_CONDITION = Localization.get(Localization.WHILE_FIRST_OCCURED_CONTINUE_CONDITION_TITLE);

    private String title;

    ContinueCondition(String title) {
        this.title = Localization.get(title);
    }

    public String getTitle() {
        return title;
    }

    public static ContinueCondition getContinueCondition(String title) {
        if (title.equals(ONCE_CONDITION)) {
            return ContinueCondition.ONCE;
        } else if (title.equals(WHILE_MAKE_SENCE_CONDITION)) {
            return ContinueCondition.WHILE_MAKE_SENCE;
        } else if (title.equals(WHILE_FIRST_OCCURED_CONDITION)) {
            return ContinueCondition.WHILE_FIRST_OCCURED;
        } else {
            return null;
        }
    }

    public static String[] getTitles() {
        return new String[] {ONCE_CONDITION, WHILE_MAKE_SENCE_CONDITION, WHILE_FIRST_OCCURED_CONDITION};
    }
}
