package dsuyasov.recognition.rulesModel;

import dsuyasov.recognition.rulesModel.sequence.MatrixChangeListener;
import dsuyasov.recognition.files.XMLTransferable;

/**
 * @author Dmitriy Suyasov
 */
public abstract class RuleItem implements XMLTransferable {

    protected int dimention;

    public RuleItem(int dimention) {
        this.dimention = dimention;
    }

    public int getDimention() {
        return dimention;
    }

    public abstract RuleCell getCell(int line, int column);
    public abstract RuleCellResult getResult();
    public abstract void changeRule(int line, int column, RuleCell cell);
    public abstract void changeResult(RuleCellResult cell);

    public abstract void initialize(MatrixElement[][] source, MatrixChangeListener listener);

    public abstract void process(MatrixElement[][] source, int x, int y);
}
