package dsuyasov.recognition.rulesModel.checkers;

import dsuyasov.recognition.rulesModel.MatrixElement;
import dsuyasov.recognition.ui.helper.panels.cellSettingsPanel.Selecter;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Rectangle;
import java.util.Collection;

import org.w3c.dom.Node;

/**
 * Developed by Suyasov Dmitriy
 */
public class GeneratedLabelChecker extends LabelChecker {

    public static final String TITLE = "Generated Symbols";
    public static final String LOCALIZATION_TITLE = Localization.get(Localization.GENERATED_SYMBOLS_TITLE);

    public GeneratedLabelChecker() {}

    public GeneratedLabelChecker(Node node) {
    }

    public String getTitle() {
        return TITLE;
    }

    public String getLocalizationTitle() {
        return LOCALIZATION_TITLE;
    }

    public boolean outOfBoundsChecker() {
        return false;
    }

    public boolean internalcheck(MatrixElement[][] matrix, int x, int y) {
        for (Object symbol: matrix[x][y].getLabels()) {
            if (checkTheGeneratedSymbol(symbol)) {
                addLabelToLabelsRemover(symbol);
                return true;
            }
        }
        return false;
    }

    public static boolean checkTheGeneratedSymbol(Object symbol) {
        try {
            Integer.parseInt(symbol.toString());
            return true;
        } catch (NumberFormatException nfe) {
            return false;
        }
    }

    public static boolean checkTheGeneratedSymbol(Collection<Object> labels, Object symbol) {
        for (Object o : labels) {
            if (checkTheGeneratedSymbol(o) && symbol.equals(o))
                return true;
        }
        return false;
    }

    public Color getColor() {
        return Color.MAGENTA;
    }

    public JPanel drawElement(Selecter selecter, JComponent radio) {
        JPanel allSymbolsCheckerPanel = new JPanel(new FlowLayout(FlowLayout.LEFT, 5, 5));
        selecter.getParentPanel().add(allSymbolsCheckerPanel);

        allSymbolsCheckerPanel.add(radio);
        return allSymbolsCheckerPanel;
    }

    public void drawCell(Graphics g, Rectangle rect) {
        g.setColor(Color.WHITE);
        g.fillRect(rect.x + rect.width / 2, rect.y + 1, rect.width / 2, rect.height / 2);
        g.setColor(Color.BLACK);
        g.fillOval(rect.x + rect.width / 2 + 1, rect.y + 2, rect.width * 2 / 5, rect.height * 2 / 5);
    }
}
