package dsuyasov.recognition.rulesModel.checkers;

import dsuyasov.recognition.rulesModel.MatrixElement;
import dsuyasov.recognition.ui.helper.panels.cellSettingsPanel.Selecter;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Rectangle;

import org.w3c.dom.Node;

/**
 * Developed by Suyasov Dmitriy
 */
public class NoLabelsChecker extends LabelChecker {

    public static final String TITLE = "No symbols";
    public static final String LOCALIZATION_TITLE = Localization.get(Localization.NO_SYMBOLS_TITLE);

    public NoLabelsChecker() {}

    public NoLabelsChecker(Node node) {}

    public String getTitle() {
        return TITLE;
    }

    public String getLocalizationTitle() {
        return LOCALIZATION_TITLE;
    }

    public boolean outOfBoundsChecker() {
        return true;
    }

    public boolean internalcheck(MatrixElement[][] matrix, int x, int y) {
        return matrix[x][y].getLabels().size() == 0;
    }

    public Color getColor() {
        return Color.DARK_GRAY;
    }

    public JPanel drawElement(Selecter selecter, JComponent radio) {
        JPanel allSymbolsCheckerPanel = new JPanel(new FlowLayout(FlowLayout.LEFT, 5, 5));
        selecter.getParentPanel().add(allSymbolsCheckerPanel);

        allSymbolsCheckerPanel.add(radio);
        return allSymbolsCheckerPanel;
    }

    public void drawCell(Graphics g, Rectangle rect) {
        g.setColor(Color.WHITE);
        g.fillRect(rect.x + rect.width / 2, rect.y + 1, rect.width / 2, rect.height / 2);
        g.setColor(Color.BLACK);
        g.drawLine(rect.x + rect.width * 3 / 5, rect.y + rect.height / 4, rect.x + rect.width - 2, rect.y + rect.height / 4);
    }
}
