package dsuyasov.recognition.rulesModel.generators;

import dsuyasov.recognition.rulesModel.RuleItem;
import dsuyasov.recognition.rulesModel.MatrixElement;
import dsuyasov.recognition.rulesModel.sequence.MatrixChangeListener;
import dsuyasov.recognition.ui.helper.panels.cellSettingsPanel.Selecter;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;
import java.awt.*;

import org.w3c.dom.Node;

/**
 * Developed by Suyasov Dmitriy
 */
public class IncreaseGenerator extends LabelGenerator {

    private int number;

    public static final String TITLE = "Increece Generator";
    public static final String LOCALIZATION_TITLE = Localization.get(Localization.INCREECE_GENERATOR_TITLE);

    public IncreaseGenerator() {}

    public IncreaseGenerator(Node node) {}

    public String getTitle() {
        return TITLE;
    }

    public String getLocalizationTitle() {
        return LOCALIZATION_TITLE;
    }

    public JPanel drawElement(Selecter selecter, JComponent radio) {
        JComponent parent = selecter.getParentPanel();
        JPanel mainPanel = new JPanel(new FlowLayout(FlowLayout.LEFT, 5, 5));
        parent.add(mainPanel);
        mainPanel.add(radio);
        return mainPanel;
    }

    public void drawCell(Graphics g, Rectangle rect) {
        g.setColor(Color.WHITE);
        g.fillRect(rect.x + rect.width / 2, rect.y + 1, rect.width / 2, rect.height / 2);
        g.setColor(Color.BLACK);
        g.drawLine(rect.x + rect.width / 2 + 2, rect.y + rect.height / 2 - 2, rect.x + rect.width - 2, rect.y + 2);
        g.drawLine(rect.x + rect.width - 2, rect.y + 2, rect.x + rect.width * 3 / 4, rect.y + 2);
        g.drawLine(rect.x + rect.width - 2, rect.y + 2, rect.x + rect.width - 2, rect.y + rect.height / 4);
    }

    public void initialize(RuleItem ruleItem, MatrixElement[][] matrix, MatrixChangeListener matrixChangeListener) {
        super.initialize(ruleItem, matrix, matrixChangeListener);
        number = 0;
    }

    protected void generateNewLabels(int x, int y) {
        number++;
        matrix[x][y].addLabel(number);//String.valueOf(number));
        setChange(true);
    }
}
