package dsuyasov.recognition.rulesModel.generators;

import dsuyasov.recognition.ui.helper.panels.cellSettingsPanel.Selecter;
import dsuyasov.recognition.rulesModel.MatrixElement;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;
import java.awt.*;

import org.w3c.dom.Node;

/**
 * @author Dmitriy Suyasov
 *         Date 18.05.2007
 */
public class MiddleGreyColorGenerator extends ColorGenerator {

    public static final String TITLE = "Middle Grey";
    public static final String LOCALIZATION_TITLE = Localization.get(Localization.MIDDLE_GREY_TITLE);

    public MiddleGreyColorGenerator() {}

    public MiddleGreyColorGenerator(Node node) {}

    public void setColor(int x, int y) {
        Color oldColor = matrix[x][y].getColor();
        int middle = (oldColor.getRed() + oldColor.getGreen() + oldColor.getBlue())/3;
        matrix[x][y] = MatrixElement.updateElement(matrix[x][y], new Color(middle, middle, middle));
    }

    public String getTitle() {
        return TITLE;
    }

    public String getLocalizationTitle() {
        return LOCALIZATION_TITLE;
    }

    public JPanel drawElement(Selecter selecter, JComponent radio) {
        JComponent parent = selecter.getParentPanel();
        JPanel mainPanel = new JPanel(new FlowLayout(FlowLayout.LEFT, 5, 5));
        parent.add(mainPanel);
        mainPanel.add(radio);
        return mainPanel;
    }

    public void drawCell(Graphics g, Rectangle rect) {
        g.setColor(Color.RED);
        g.fillRect(rect.x, rect.y, rect.width / 3, rect.height / 3);
        g.setColor(Color.GREEN);
        g.fillRect(rect.x, rect.y + rect.height / 3, rect.width / 3, rect.height / 3);
        g.setColor(Color.BLUE);
        g.fillRect(rect.x, rect.y + rect.height * 2 / 3, rect.width / 3, rect.height / 3);
        g.setColor(Color.LIGHT_GRAY);
        g.fillRect(rect.x + rect.width / 3, rect.y, rect.width * 2 / 3, rect.height);
    }
}
