package dsuyasov.recognition.rulesModel.generators;

import dsuyasov.recognition.ui.helper.panels.cellSettingsPanel.Selecter;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;
import java.awt.*;

import org.w3c.dom.Node;

/**
 * Developed by Suyasov Dmitriy
 */
public class NotChangeColorGenerator extends ColorGenerator {

    public static final String TITLE = "Not Change Color";
    public static final String LOCALIZATION_TITLE = Localization.get(Localization.NOT_CHANGE_COLOR_TITLE);

    public NotChangeColorGenerator() {}

    public NotChangeColorGenerator(Node node) {}

    public String getTitle() {
        return TITLE;
    }

    public String getLocalizationTitle() {
        return LOCALIZATION_TITLE;
    }

    public JPanel drawElement(Selecter selecter, JComponent radio) {
        JComponent parent = selecter.getParentPanel();
        JPanel mainPanel = new JPanel(new FlowLayout(FlowLayout.LEFT, 5, 5));
        parent.add(mainPanel);
        mainPanel.add(radio);
        return mainPanel;
    }

    public void setColor(int x, int y) {
        // Do nothing
    }

    public void drawCell(Graphics g, Rectangle rect) {
        g.setColor(Color.WHITE);
        g.fillRect(rect.x, rect.y, rect.width, rect.height);
        g.setColor(Color.BLACK);
        g.drawLine(rect.x + rect.width, rect.y, rect.x, rect.y + rect.height);
        g.drawLine(rect.x + rect.width / 2, rect.y, rect.x, rect.y + rect.height / 2);
        g.drawLine(rect.x + rect.width, rect.y + rect.height / 2, rect.x + rect.width / 2, rect.y + rect.height);
        g.setColor(Color.BLACK);
        g.drawRect(rect.x, rect.y, rect.width, rect.height);
    }
}
