package dsuyasov.recognition.ui.helper;

import dsuyasov.recognition.ui.helper.panels.cellSettingsPanel.Selecter;

import java.util.Iterator;
import java.util.List;

/**
 * Developed by Suyasov Dmitriy
 */
public class DrawerIterator implements Iterator {

    private List<? extends Drawer> drawers;
    private int index;

    public DrawerIterator(List<? extends Drawer> drawers) {
        index = 0;
        this.drawers = drawers;
    }

    public boolean hasNext() {
        return index < drawers.size();
    }

    public Drawer next() {
        return drawers.get(index++);
    }

    public void draw(Selecter selecter) {
        Drawer drawer = next();
        if (selecter.getDefault() != null && drawer.getTitle().equals(selecter.getDefault().getTitle())) {
            selecter.getDefault().draw(selecter);
        } else {
            drawer.draw(selecter);
        }
    }

    public void remove() {
        drawers.remove(index);
    }
}
