package dsuyasov.recognition.ui.helper.panels;

import dsuyasov.recognition.ui.helper.RuleCellChanger;
import dsuyasov.recognition.rulesModel.TypeOfColors;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;
import java.awt.*;
import java.awt.event.MouseListener;
import java.awt.event.MouseEvent;

/**
 * @author Dmitriy Suyasov
 *         Date 16.04.2007
 */
public class ColorCellPanel extends JPanel implements MouseListener {

    private Color color;
    private RuleCellChanger ruleCellChanger;
    private String label;
    private TypeOfColors typeOfColors;

    public ColorCellPanel(TypeOfColors typeOfColors, Color color, String label, RuleCellChanger ruleCellChanger) {
        setPreferredSize(new Dimension(30, 30));
        this.color = color == null ? Color.WHITE : color;
        this.label = label;
        this.ruleCellChanger = ruleCellChanger;
        this.typeOfColors = typeOfColors;
        addMouseListener(this);
    }

    protected void paintComponent(Graphics g) {
        super.paintComponent(g);

        g.setColor(color);
        g.fillRect(0, 0, 30, 30);
        g.setColor(Color.BLACK);
        g.drawRect(0, 0, 30, 30);
    }

    public void mouseClicked(MouseEvent e) {
        Color newcolor;
        if (typeOfColors.equals(TypeOfColors.BLACK_AND_WHITE)) {
            newcolor = (color == Color.BLACK) ? Color.WHITE : Color.BLACK;
        } else {
            newcolor = JColorChooser.showDialog(this, Localization.get(Localization.CHOOSE_COLOR_DIALOG_TITLE), color);
        }
        if (newcolor != null) {
            this.color = newcolor; 
            ruleCellChanger.updateColor(color, label);
            repaint();
        }
    }

    public void mousePressed(MouseEvent e) {
    }

    public void mouseReleased(MouseEvent e) {
    }

    public void mouseEntered(MouseEvent e) {
    }

    public void mouseExited(MouseEvent e) {
    }
}
