package dsuyasov.recognition.ui.helper.panels.cellSettingsPanel;

import dsuyasov.recognition.ui.helper.DrawerIterator;
import dsuyasov.recognition.ui.helper.Drawer;
import dsuyasov.recognition.rulesModel.generators.ColorGenerator;
import dsuyasov.recognition.util.localization.Localization;

import javax.swing.*;

/**
 * @author Dmitriy Suyasov
 *         Date 15.05.2007
 */
public class ColorGeneratorSelecter extends SelecterPanel {

    public static final String TITLE = Localization.get(Localization.COLOR_GENERATOR_TITLE);

    private ColorGenerator colorGenerator;

    public ColorGeneratorSelecter(JDialog dialog, JPanel parent) {
        super(dialog, parent);
    }

    public void initialize(ColorGenerator colorGenerator) {
        this.colorGenerator = colorGenerator;
        super.initialize();
    }

    public String getTitle() {
        return TITLE;
    }

    public DrawerIterator getDrawerIterator() {
        return new DrawerIterator(ColorGenerator.getDrawers());
    }

    public Drawer getDefault() {
        return colorGenerator;
    }
}
