package dsuyasov.recognition.ui.helper.panels.cellSettingsPanel;

import dsuyasov.recognition.ui.helper.DrawerIterator;
import dsuyasov.recognition.ui.helper.Drawer;

import javax.swing.*;

/**
 * Developed by Suyasov Dmitriy
 */
public abstract class SelecterPanel extends JPanel implements Selecter {

    private JDialog parent;
    private ButtonGroup buttonGroup;
    private Drawer result;

    public SelecterPanel(JDialog parent, JPanel mainPanel) {
        this.parent = parent;
        mainPanel.add(this);
    }

    protected void initialize() {
        setBorder(BorderFactory.createTitledBorder( getTitle() ));
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        buttonGroup = new ButtonGroup();
        for (DrawerIterator iterator = getDrawerIterator(); iterator.hasNext();) {
            iterator.draw(this);
        }
    }

    public abstract String getTitle();
    public abstract DrawerIterator getDrawerIterator();

    public JComponent getParentPanel() {
        return this;
    }

    public JDialog getParentDialog() {
        return parent;
    }

    public ButtonGroup getButtonGroup() {
        return buttonGroup;
    }

    public void setResult(Drawer drawer) {
        this.result = drawer;
    }

    public Drawer getResult() {
        return result;
    }
}
