package dsuyasov.recognition.util.localization;

import java.util.Map;
import java.util.HashMap;

/**
 * @author Dmitriy Suyasov
 */
public class EnglishLocalization extends Localization {

    public static final String LABEL = "en";

    private static Map<String, String> labels = new HashMap<String, String>();

    static {
        labels.put(PROGRAM_TITLE, "Text Recognition System");

        labels.put(SHOW_PICTURE_PAGE, "PAGE 1. Load Pictire From The File To be Processed by Cellular Automata Sequence");
        labels.put(SHOW_RULES_PAGE, "PAGE 2. Creation and manipulation over Cellular Automata Rules");
        labels.put(COMBINE_RULES_PAGE, "PAGE 3. Combine Cellular Automata into Rule Sequences");
        labels.put(START_RULE_SEQUENCES_PAGE, "PAGE 4. Start Cellular Automata Sequence");
        labels.put(RESOLVING_PAGE, "PAGE 5. Picture resolving");

        labels.put(ADD_DIALOG_BUTTON_NAME, "Add");
        labels.put(CANCEL_DIALOG_BUTTON_NAME, "Cancel");
        labels.put(UPDATE_DIALOG_BUTTON_NAME, "Update");
        labels.put(START_DIALOG_BUTTON_NAME, "Start");
        labels.put(NEXT_DIALOG_BUTTON_NAME, "Next");
        labels.put(SKIP_DIALOG_BUTTON_NAME, "Skip");
        labels.put(SAVE_RESULTS_DIALOG_BUTTON_NAME, "Save Results");
        labels.put(CREATE_DIALOG_BUTTON_NAME, "Create");

        labels.put(CELL_OPTION_DIALOG_TITLE, "Cell options");
        labels.put(RESULT_CELL_OPTIONS_DIALOG_TITLE, "Result Cell Options");
        labels.put(QUESTION_DIALOG_TITLE, "Question");
        labels.put(SPECIAL_ELEMENT_CHOOSER_DIALOG_TITLE, "Special Element Chooser");
        labels.put(LEARNING_DIALOG_TITLE, "Learning");
        labels.put(NEW_RULE_SETTINGS_DIALOG_TITLE, "New Rule Settings");
        labels.put(WARNING_DIALOG_TITLE, "Warning");
        labels.put(RESOLVING_DIALOG_TITLE, "Resolving");
        labels.put(RULE_SETTINGS_DIALOG_TITLE, "Rule Settings");
        labels.put(CHOOSE_SYMBOLS_DIALOG_TITLE, "Choose Labels");
        labels.put(CHOOSE_COLOR_DIALOG_TITLE, "Choose Color");
        labels.put(LEARN_DIALOG_BUTTON_NAME, "Learn");
        labels.put(RESOLVE_DIALOG_BUTTON_NAME, "Resolve");
        labels.put(BACK_TO_BEGIN_DIALOG_BUTTON_NAME, "Back To Begin");
        labels.put(RUN_DIALOG_BUTTON_NAME, "Run");
        labels.put(RUN_AUTOMAT_DIALOG_BUTTON_NAME, "Run Automat");
        labels.put(RUN_STEP_DIALOG_BUTTON_NAME, "Run Step");

        labels.put(ADD_AS_CURRENT_RULE_MENU_ITEM_NAME, "Add as curent rule");
        labels.put(SPECIAL_SYMBOL_SETTINGS_MENU_ITEM_NAME, "Special Symbol settings");
        labels.put(REMOVE_RULE_FROM_LIST_MENU_ITEM_NAME, "Remove rule from the List");

        labels.put(COMMON_SETTINGS_TITLE, "Common settings");
        labels.put(INITIAL_SETTINGS_TITLE, "Initial settings");
        labels.put(CONTINUE_CONDITION_TITLE, "Continue condition");
        labels.put(COLOR_CHECKER_TITLE, "Color Checker");
        labels.put(COLOR_GENERATOR_TITLE, "Color Generator");
        labels.put(SYMBOL_GENERATOR_TITLE, "Symbol Generator");
        labels.put(RULE_ITEM_TITLE, " Rule item: ");
        labels.put(RULES_TITLE, "Rules");
        labels.put(RULE_TITLE, "Rule ");
        labels.put(SELECTED_TITLE, "selected");
        labels.put(CREATED_TITLE, "created");
        labels.put(REMOVED_TITLE, "was removed");
        labels.put(UP_TITLE, "up");
        labels.put(DOWN_TITLE, "down");
        labels.put(MOVED_TITLE, "was moved");
        labels.put(CHECKER_TITLE, "Checker");
        labels.put(UNIT_CELLS_TITLE, "Unit Cells");
        labels.put(SPLIT_INTO_SYMBOLS_TITLE, "Split into symbols");
        labels.put(OUTPUTTER_TITLE, "Outputter");
        labels.put(MARK_TOP_LEFT_ELEMENT_TITLE, "Mark Top Left Element");
        labels.put(LABEL_TITLE, "Label");
        labels.put(GET_METRIC_TITLE, "Get metric");
        labels.put(ANY_CHANGE_CONDITION_TITLE, "Any change condition");
        labels.put(CUSTOM_SYMBOL_TITLE, "Custom Symbol");
        labels.put(PREDEFINE_SYMBOL_TITLE, "Predefine Symbol");
        labels.put(LABEL_NAME_TITLE, "Label name");
        labels.put(ELEMENT_TITLE, "Element");
        labels.put(LABEL_OF_TRANSITION_TITLE, "Label of transition");
        labels.put(LABELS_FOR_MARKING_TITLE, "Labels for marking");

        labels.put(ALL_SYMBOLS_TITLE, "All labels");
        labels.put(ONE_OF_THE_SYMBOLS_TITLE, "One of the Labels");
        labels.put(NO_SYMBOLS_TITLE, "No Labels");
        labels.put(NO_OF_SYMBOLS_TITLE, "No of Labels");
        labels.put(LIGHTER_THEN_TITLE, "Lighter Then");
        labels.put(GENERATED_SYMBOLS_TITLE, "Generated Labels");
        labels.put(FIXED_COLOR_TITLE, "Fixed Color");
        labels.put(DARKER_THEN_TITLE, "Darker Then");
        labels.put(BETWEEN_COLORS_TITLE, "Between colors");
        labels.put(ANY_COLOR_TITLE, "Any Color");
        labels.put(ADD_SYMBOL_TITLE, "Add Symbol");
        labels.put(DONT_CHANGE_SYMBOLS_TITLE, "Dont change labels");
        labels.put(INCREECE_GENERATOR_TITLE, "Increece Generator");
        labels.put(MIDDLE_GREY_TITLE, "Middle Grey");
        labels.put(MINIMUM_OF_GENERATED_TITLE, "Minimum of Generated");
        labels.put(NOT_CHANGE_COLOR_TITLE, "Not Change Color");
        labels.put(REMOVE_SYMBOL_TITLE, "Remove Symbol");
        labels.put(REPLACE_SYMBOL_TITLE, "Replace symbol");

        labels.put(SELECT_CHECKER_FIELD_TITLE, "Select the checker: ");
        labels.put(SPECIAL_RULE_FIELD_TITLE, "Special Rule");
        labels.put(SYMBOLS_TO_ACCEPT_FOR_LAYERS_FIELD_TITLE, "Labels to accept for layers");
        labels.put(RULE_DIMENTION_FIELD_TITLE, "Rule dimention: ");
        labels.put(COLORS_FIELD_TITLE, "Colors: ");
        labels.put(RESULT_COLORS_FIELD_TITLE, "Result Colors: ");
        labels.put(STRATEGY_FIELD_TITLE, "Strategy: ");
        labels.put(CONDITION_FIELD_TITLE, "Condition: ");
        labels.put(RULE_NAME_FIELD_TITLE, "Rule name: ");
        labels.put(DESCRIPTION_FIELD_TITLE, "Description: ");
        labels.put(CHOOSE_CHECKER_FIELD_TITLE, "Choose checker");
        labels.put(SYMBOLS_FOR_REMOVING_FIELD_TITLE, "Labels for removing");
        labels.put(SELECT_RULE_ITEM_TO_SEE_DESCRIPTION, "Select rule item to see the description");
        labels.put(DEFAULT_NAME, "default");
        labels.put(DEFAULT_TITLE, "Default");
        labels.put(RULE_SEQUENCE_LOADING_TITLE, "Rule Sequence Loading");
        labels.put(RESULTS_LIST_TITLE, "Results list");
        labels.put(CELL_AUTOMAT_PROCESSED_TITLE, "Cellular Automata Processed {0} times");
        labels.put(LABELS_TO_DISPLAY_TITLE, "Labels to display");
        labels.put(LABELS_TO_USE_TITLE, "Labels to use");
        labels.put(USE_GENERATED_LABELS_TITLE, "Use generated labels");

        labels.put(ADD_CHECKER_BUTTON_NAME, "Add checker");
        labels.put(REMOVE_BUTTON_NAME, "Remove");
        labels.put(LOAD_TEMPLATE_TO_MERGE_BUTTON_NAME, "Load templates to Merge with: ");
        labels.put(LOAD_TEMPLATE_BUTTON_NAME, "Load Template");
        labels.put(MAKE_NEW_TEMPLATE_BUTTON_NAME, "Make new templates: ");
        labels.put(USE_SAVED_TEMPLATE_BUTTON_NAME, "Use saved template");
        labels.put(USE_LOADED_TEMPLATE_BUTTON_NAME, "Use loaded template: ");
        labels.put(START_RECOGNIZING_BUTTON_NAME, "Start recognizing");
        labels.put(REMOVE_SYMBOL_BUTTON_NAME, "Remove Symbol");
        labels.put(CHANGE_BUTTON_NAME, "Change");
        labels.put(NEXT_PAGE_BUTTON_NAME, "Next page");
        labels.put(PREVIOUS_PAGE_BUTTON_NAME, "Previous page");
        labels.put(ADD_RULE_BUTTON_NAME, "Add rule");
        labels.put(REMOVE_RULE_BUTTON_NAME, "Remove rule");
        labels.put(MOVEUP_RULE_BUTTON_NAME, "Move rule up");
        labels.put(MOVEDOWN_RULE_BUTTON_NAME, "Move rule down");
        labels.put(RULE_SETTINGS_BUTTON_NAME, "Rule settings");
        labels.put(LOAD_RULE_BUTTON_NAME, "Load rule");
        labels.put(SAVE_RULE_BUTTON_NAME, "Save rule");
        labels.put(NEW_RULE_BUTTON_NAME, "New rule");
        labels.put(ADD_RULES_TO_LIST_BUTTON_NAME, "Add Rules to List");
        labels.put(CLEAR_RULES_LIST_BUTTON_NAME, "Clear Rules List");
        labels.put(ADD_SPECIAL_SYMBOL_BUTTON_NAME, "Add Special Element");
        labels.put(DESCRIPTION_BUTTON_NAME, "Description");
        labels.put(MOVEDOWN_AUTOMATA_BUTTON_NAME, "Move Down");
        labels.put(MOVEUP_AUTOMATA_BUTTON_NAME, "Move Up");
        labels.put(REMOVE_ELEMENT_BUTTON_NAME, "Remove Element");
        labels.put(CLEAR_SEQUENCE_BUTTON_NAME, "Clear Sequence");
        labels.put(SAVE_SEQUENCE_BUTTON_NAME, "Save Sequence");
        labels.put(LOAD_SEQUENCE_BUTTON_NAME, "Load Sequence");
        labels.put(LOAD_PICTURE_BUTTON_NAME, "Load Picture");
        labels.put(LOAD_CURRENT_RULE_SEQUENCE_BUTTON_NAME, "Load Current Rule Sequence");
        labels.put(ADD_CHECKER_FOR_USAGE_BUTTON_NAME, "Add checker for usage");
        labels.put(CLEAR_CHECKERS_BUTTON_NAME, "Clear checkers");
        labels.put(CROSS_BUTTON_NAME, "Cross");

        labels.put(CELLULAR_AUTOMATA_SEQUENCE_DESCRIPTION_DIALOG_TITLE, "Cellular Automata Sequence Description");

        labels.put(CANNOT_DELETE_SYMBOL_CHECKER_ALERT, "You cannot delete symbol checker unless it used by symbol remover");
        labels.put(SELECT_SYMBOLS_ALERT, "Please select labels for layers");
        labels.put(SET_ELEMENT_FIRST_ALERT, "You should set value first");
        labels.put(X_Y_SHOULD_BE_AN_INTEGER_ALERT, "X and Y fields should be an Integer");
        labels.put(ACCEPT_CHANGES_QUESTION, "Do you want to accept changes?");
        labels.put(SAVE_BEFORE_CREATING_QUESTION, "Do you want to save rule before creating the new one?");
        labels.put(ERROR_WHILE_SAVING_MESSAGE, "Something wrong while saving");
        labels.put(RULE_CREATED_MESSAGE, "New rule was created");
        labels.put(DEFAULT_RULE_SELECTED_MESSAGE, "Default rule selected");
        labels.put(PLEASE_LOAD_THE_RULE_MESSAGE, "Please load the Rule or create a new one");
        labels.put(SOMETHING_WRONG_WHILE_SAVING_MESSAGE, "Something wrong happened while saving");
        labels.put(CANNOT_REMOVE_ROOT_RULE_MESSAGE, "You cannot remove root rule");
        labels.put(SELECT_RULE_BEFORE_REMOVING_MESSAGE, "Please select rule before removing");
        labels.put(SELECT_RULE_BEFORE_MOVING_MESSAGE, "Please select rule before moving");
        labels.put(CANNOT_MOVE_DEFAULT_RULE_MESSAGE, "You cannot move default rule or change it with any other rule");
        labels.put(CELLULAR_AUTOMATA_SEQUENCE_DESCRIPTION_MESSAGE, "Cellular Automata Sequence Description");
        labels.put(CELLULAR_AUTOMATA_DESCRIPTION_MESSAGE, "Cellular Automata Description");
        labels.put(RULE_FILES_AND_DIRECTORIES_MESSAGE, "Rule files and directories");
        labels.put(ERROR_WHILE_RULE_LOAD_MESSAGE, "Error while trying to load the rule");
        labels.put(PLEASE_LOAD_PICTURE_MESSAGE, "Please, load the picture with the text");
        labels.put(PLEASE_LOAD_PICTURE_BEFORE_PROCESSING_MESSAGE, "Please load the picture with the text before recornizing!");
        labels.put(RULE_IN_THE_LOOP_MESSAGE, "Rule {0} makes {1} steps, may be it is in the loop. Do you want to continue? (More 100 steps)");
        labels.put(SELECT_LABEL_FIRST_MESSAGE, "You should select a label first");
        labels.put(ONE_SYMBOL_SHOULD_BE_SPECIFIED_MESSAGE, "At least one label should be specified");
        labels.put(CHECK_SELECTED_LABELS_MESSAGE, "Please check generated labels or select custom/predefine labels");

        labels.put(ELEMENT_CANNOT_BE_REMOVED_ALERT, "Element cannot be removed");
        labels.put(LOAD_TEMPLATE_ALERT, "Please load the template");

        labels.put(PROBLEM_WHILE_INIT_DRAWER_EXCEPTION, "Problem while initializing Drawer");
        labels.put(DRAWER_TYPE_IS_UNKNOWN_EXCEPTION, "Drawer type is unknown");

        labels.put(ONCE_CONTINUE_CONDITION_TITLE, "Once");
        labels.put(WHILE_MAKE_SENCE_CONTINUE_CONDITION_TITLE, "While make sence");
        labels.put(WHILE_FIRST_OCCURED_CONTINUE_CONDITION_TITLE, "While first occured");

        labels.put(DIMENTION_1_CELL_TITLE, "1 cell");
        labels.put(DIMENTION_9_CELLS_TITLE, "9 cells");
        labels.put(DIMENTION_25_CELLS_TITLE, "25 cells");

        labels.put(STRATEGY_DO_NOT_CHANGE_TITLE, "Do not change");
        labels.put(STRATEGY_ALL_TO_COLOR_TITLE, "All To Color");
        labels.put(STRATEGY_NONE_TITLE, "None");

        labels.put(COLORS_BLACK_AND_WHITE_COLORS_TITLE, "Black and White colors");
        labels.put(COLORS_RGB_COLORS, "RGB colors");

        labels.put(LABEL_DESCRIPTION, "Label mark the position in cellular automata sequence to used by other special elements for comming to this label");
        labels.put(ANY_CHANGE_CONDITION_DESCRIPTION, "Check condition check if at least one cellular automata rule makes any change than work control would be moved to one more iteration cicle");
        labels.put(SPLITTING_DESCRIPTION, "Split an image into small images using specified labels");
        labels.put(MARKING_DESCRIPTION, "Mark top-left black element with specified labels");
        labels.put(DISPLAYING_DESCRIPTION, "Rules of outputting the result images with labels");
    }

    public String getValue(String name) {
        return labels.get(name);
    }

    public String getLabel() {
        return LABEL;
    }
}
