package dsuyasov.recognition.util.localization;

import java.util.Map;
import java.util.HashMap;

/**
 * @author Dmitriy Suyasov
 */
public class RussianLocalization extends Localization {

    public static final String LABEL = "ru";

    private static Map<String, String> labels = new HashMap<String, String>();

    static {
        labels.put(PROGRAM_TITLE, "   ");

        labels.put(SHOW_PICTURE_PAGE, " 1.          ");
        labels.put(SHOW_RULES_PAGE, " 2.      ");
        labels.put(COMBINE_RULES_PAGE, " 3.     ");
        labels.put(START_RULE_SEQUENCES_PAGE, " 4.    ");
        labels.put(RESOLVING_PAGE, " 5.  ");

        labels.put(ADD_DIALOG_BUTTON_NAME, "");
        labels.put(CANCEL_DIALOG_BUTTON_NAME, "");
        labels.put(UPDATE_DIALOG_BUTTON_NAME, "");
        labels.put(START_DIALOG_BUTTON_NAME, "");
        labels.put(NEXT_DIALOG_BUTTON_NAME, "");
        labels.put(SKIP_DIALOG_BUTTON_NAME, "");
        labels.put(SAVE_RESULTS_DIALOG_BUTTON_NAME, " ");
        labels.put(CREATE_DIALOG_BUTTON_NAME, "");

        labels.put(CELL_OPTION_DIALOG_TITLE, " ");
        labels.put(RESULT_CELL_OPTIONS_DIALOG_TITLE, "  ");
        labels.put(QUESTION_DIALOG_TITLE, "");
        labels.put(SPECIAL_ELEMENT_CHOOSER_DIALOG_TITLE, "  ");
        labels.put(LEARNING_DIALOG_TITLE, "");
        labels.put(NEW_RULE_SETTINGS_DIALOG_TITLE, "   ");
        labels.put(WARNING_DIALOG_TITLE, "");
        labels.put(RESOLVING_DIALOG_TITLE, "");
        labels.put(RULE_SETTINGS_DIALOG_TITLE, "  ");
        labels.put(CHOOSE_SYMBOLS_DIALOG_TITLE, " ");
        labels.put(CHOOSE_COLOR_DIALOG_TITLE, " ");
        labels.put(LEARN_DIALOG_BUTTON_NAME, "");
        labels.put(RESOLVE_DIALOG_BUTTON_NAME, "");
        labels.put(BACK_TO_BEGIN_DIALOG_BUTTON_NAME, "  ");
        labels.put(RUN_DIALOG_BUTTON_NAME, " ");
        labels.put(RUN_AUTOMAT_DIALOG_BUTTON_NAME, " ");
        labels.put(RUN_STEP_DIALOG_BUTTON_NAME, " ");

        labels.put(ADD_AS_CURRENT_RULE_MENU_ITEM_NAME, "    ");
        labels.put(SPECIAL_SYMBOL_SETTINGS_MENU_ITEM_NAME, "  ");
        labels.put(REMOVE_RULE_FROM_LIST_MENU_ITEM_NAME, "    ");

        labels.put(COMMON_SETTINGS_TITLE, " ");
        labels.put(INITIAL_SETTINGS_TITLE, " ");
        labels.put(CONTINUE_CONDITION_TITLE, " ");
        labels.put(COLOR_CHECKER_TITLE, " ");
        labels.put(COLOR_GENERATOR_TITLE, " ");
        labels.put(SYMBOL_GENERATOR_TITLE, " ");
        labels.put(RULE_ITEM_TITLE, "   : ");
        labels.put(RULES_TITLE, "");
        labels.put(RULE_TITLE, " ");
        labels.put(SELECTED_TITLE, "");
        labels.put(CREATED_TITLE, "");
        labels.put(REMOVED_TITLE, "");
        labels.put(UP_TITLE, "");
        labels.put(DOWN_TITLE, "");
        labels.put(MOVED_TITLE, "");
        labels.put(CHECKER_TITLE, "");
        labels.put(UNIT_CELLS_TITLE, " ");
        labels.put(SPLIT_INTO_SYMBOLS_TITLE, "");
        labels.put(OUTPUTTER_TITLE, "  ");
        labels.put(MARK_TOP_LEFT_ELEMENT_TITLE, "   ");
        labels.put(LABEL_TITLE, "");
        labels.put(GET_METRIC_TITLE, "");
        labels.put(ANY_CHANGE_CONDITION_TITLE, " ");
        labels.put(CUSTOM_SYMBOL_TITLE, " ");
        labels.put(PREDEFINE_SYMBOL_TITLE, " ");
        labels.put(LABEL_NAME_TITLE, " ");
        labels.put(RESULTS_LIST_TITLE, " ");
        labels.put(ELEMENT_TITLE, "");
        labels.put(LABEL_OF_TRANSITION_TITLE, "  ");
        labels.put(LABELS_FOR_MARKING_TITLE, "");

        labels.put(ALL_SYMBOLS_TITLE, " ");
        labels.put(ONE_OF_THE_SYMBOLS_TITLE, "  ");
        labels.put(NO_SYMBOLS_TITLE, "  ");
        labels.put(NO_OF_SYMBOLS_TITLE, "   ");
        labels.put(LIGHTER_THEN_TITLE, " ");
        labels.put(GENERATED_SYMBOLS_TITLE, " ");
        labels.put(FIXED_COLOR_TITLE, " ");
        labels.put(DARKER_THEN_TITLE, " ");
        labels.put(BETWEEN_COLORS_TITLE, " ");
        labels.put(ANY_COLOR_TITLE, " ");
        labels.put(ADD_SYMBOL_TITLE, " ");
        labels.put(DONT_CHANGE_SYMBOLS_TITLE, "  ");
        labels.put(INCREECE_GENERATOR_TITLE, "  ");
        labels.put(MIDDLE_GREY_TITLE, " ");
        labels.put(MINIMUM_OF_GENERATED_TITLE, "   ");
        labels.put(NOT_CHANGE_COLOR_TITLE, "  ");
        labels.put(REMOVE_SYMBOL_TITLE, " ");
        labels.put(REPLACE_SYMBOL_TITLE, " ");

        labels.put(SELECT_CHECKER_FIELD_TITLE, " : ");
        labels.put(SPECIAL_RULE_FIELD_TITLE, " ");
        labels.put(SYMBOLS_TO_ACCEPT_FOR_LAYERS_FIELD_TITLE, "  ");
        labels.put(RULE_DIMENTION_FIELD_TITLE, " : ");
        labels.put(COLORS_FIELD_TITLE, ": ");
        labels.put(RESULT_COLORS_FIELD_TITLE, " : ");
        labels.put(STRATEGY_FIELD_TITLE, ": ");
        labels.put(CONDITION_FIELD_TITLE, ": ");
        labels.put(RULE_NAME_FIELD_TITLE, "  : ");
        labels.put(DESCRIPTION_FIELD_TITLE, ": ");
        labels.put(CHOOSE_CHECKER_FIELD_TITLE, " ");
        labels.put(SYMBOLS_FOR_REMOVING_FIELD_TITLE, "  ");
        labels.put(SELECT_RULE_ITEM_TO_SEE_DESCRIPTION, " ,   ");
        labels.put(DEFAULT_NAME, " ");
        labels.put(DEFAULT_TITLE, " ");
        labels.put(RULE_SEQUENCE_LOADING_TITLE, "   ");
        labels.put(CELL_AUTOMAT_PROCESSED_TITLE, "   {0} ()");
        labels.put(LABELS_TO_DISPLAY_TITLE, "  ");
        labels.put(LABELS_TO_USE_TITLE, " ");
        labels.put(USE_GENERATED_LABELS_TITLE, "  ");

        labels.put(ADD_CHECKER_BUTTON_NAME, " ");
        labels.put(REMOVE_BUTTON_NAME, "");
        labels.put(LOAD_TEMPLATE_TO_MERGE_BUTTON_NAME, "     : ");
        labels.put(LOAD_TEMPLATE_BUTTON_NAME, " ");
        labels.put(MAKE_NEW_TEMPLATE_BUTTON_NAME, "  : ");
        labels.put(USE_SAVED_TEMPLATE_BUTTON_NAME, "  ");
        labels.put(USE_LOADED_TEMPLATE_BUTTON_NAME, "  : ");
        labels.put(START_RECOGNIZING_BUTTON_NAME, " ");
        labels.put(REMOVE_SYMBOL_BUTTON_NAME, " ");
        labels.put(CHANGE_BUTTON_NAME, "");
        labels.put(NEXT_PAGE_BUTTON_NAME, " ");
        labels.put(PREVIOUS_PAGE_BUTTON_NAME, " ");
        labels.put(ADD_RULE_BUTTON_NAME, " ");
        labels.put(REMOVE_RULE_BUTTON_NAME, " ");
        labels.put(MOVEUP_RULE_BUTTON_NAME, " ");
        labels.put(MOVEDOWN_RULE_BUTTON_NAME, " ");
        labels.put(RULE_SETTINGS_BUTTON_NAME, "  ");
        labels.put(LOAD_RULE_BUTTON_NAME, "  ");
        labels.put(SAVE_RULE_BUTTON_NAME, "  ");
        labels.put(NEW_RULE_BUTTON_NAME, "  ");
        labels.put(ADD_RULES_TO_LIST_BUTTON_NAME, "    ");
        labels.put(CLEAR_RULES_LIST_BUTTON_NAME, "  ");
        labels.put(ADD_SPECIAL_SYMBOL_BUTTON_NAME, "  ");
        labels.put(DESCRIPTION_BUTTON_NAME, "");
        labels.put(MOVEDOWN_AUTOMATA_BUTTON_NAME, " ");
        labels.put(MOVEUP_AUTOMATA_BUTTON_NAME, " ");
        labels.put(REMOVE_ELEMENT_BUTTON_NAME, " .");
        labels.put(CLEAR_SEQUENCE_BUTTON_NAME, "");
        labels.put(SAVE_SEQUENCE_BUTTON_NAME, "");
        labels.put(LOAD_SEQUENCE_BUTTON_NAME, "");
        labels.put(LOAD_PICTURE_BUTTON_NAME, " ");
        labels.put(LOAD_CURRENT_RULE_SEQUENCE_BUTTON_NAME, " ");
        labels.put(ADD_CHECKER_FOR_USAGE_BUTTON_NAME, " ");
        labels.put(CLEAR_CHECKERS_BUTTON_NAME, "  ");
        labels.put(CROSS_BUTTON_NAME, "  ");

        labels.put(CELLULAR_AUTOMATA_SEQUENCE_DESCRIPTION_DIALOG_TITLE, "   ");

        labels.put(CANNOT_DELETE_SYMBOL_CHECKER_ALERT, "     ,      ");
        labels.put(SELECT_SYMBOLS_ALERT, ",    ");
        labels.put(SET_ELEMENT_FIRST_ALERT, "    ");
        labels.put(X_Y_SHOULD_BE_AN_INTEGER_ALERT, "X  Y    ");
        labels.put(ACCEPT_CHANGES_QUESTION, "   ?");
        labels.put(SAVE_BEFORE_CREATING_QUESTION, "          ?");
        labels.put(ERROR_WHILE_SAVING_MESSAGE, "    ");
        labels.put(RULE_CREATED_MESSAGE, "   ");
        labels.put(DEFAULT_RULE_SELECTED_MESSAGE, "   ");
        labels.put(PLEASE_LOAD_THE_RULE_MESSAGE, ",        ");
        labels.put(SOMETHING_WRONG_WHILE_SAVING_MESSAGE, "    ");
        labels.put(CANNOT_REMOVE_ROOT_RULE_MESSAGE, "     ");
        labels.put(SELECT_RULE_BEFORE_REMOVING_MESSAGE, ",    ,   ");
        labels.put(SELECT_RULE_BEFORE_MOVING_MESSAGE, ",    ,   ");
        labels.put(CANNOT_MOVE_DEFAULT_RULE_MESSAGE, "     ");
        labels.put(CELLULAR_AUTOMATA_SEQUENCE_DESCRIPTION_MESSAGE, "   ");
        labels.put(CELLULAR_AUTOMATA_DESCRIPTION_MESSAGE, "  ");
        labels.put(RULE_FILES_AND_DIRECTORIES_MESSAGE, "    ");
        labels.put(ERROR_WHILE_RULE_LOAD_MESSAGE, "     ");
        labels.put(PLEASE_LOAD_PICTURE_MESSAGE, ",  ");
        labels.put(PLEASE_LOAD_PICTURE_BEFORE_PROCESSING_MESSAGE, ",  !");
        labels.put(RULE_IN_THE_LOOP_MESSAGE, " {0}  {1} , ,  .   ? ( 100 )");
        labels.put(ONE_SYMBOL_SHOULD_BE_SPECIFIED_MESSAGE, "      ");
        labels.put(CHECK_SELECTED_LABELS_MESSAGE, "       ");

        labels.put(ELEMENT_CANNOT_BE_REMOVED_ALERT, "    ");
        labels.put(LOAD_TEMPLATE_ALERT, ",  ");

        labels.put(PROBLEM_WHILE_INIT_DRAWER_EXCEPTION, "   Drawer");
        labels.put(DRAWER_TYPE_IS_UNKNOWN_EXCEPTION, " Drawer ");

        labels.put(ONCE_CONTINUE_CONDITION_TITLE, "   ");
        labels.put(WHILE_MAKE_SENCE_CONTINUE_CONDITION_TITLE, "   ");
        labels.put(WHILE_FIRST_OCCURED_CONTINUE_CONDITION_TITLE, "   ");

        labels.put(DIMENTION_1_CELL_TITLE, "1 ");
        labels.put(DIMENTION_9_CELLS_TITLE, "9 ");
        labels.put(DIMENTION_25_CELLS_TITLE, "25 ");

        labels.put(STRATEGY_DO_NOT_CHANGE_TITLE, "  ");
        labels.put(STRATEGY_ALL_TO_COLOR_TITLE, "   ");
        labels.put(STRATEGY_NONE_TITLE, "");

        labels.put(COLORS_BLACK_AND_WHITE_COLORS_TITLE, "- ");
        labels.put(COLORS_RGB_COLORS, "RGB ");

        labels.put(LABEL_DESCRIPTION, "      ,       ");
        labels.put(ANY_CHANGE_CONDITION_DESCRIPTION, "   ,         ,      ");
        labels.put(SPLITTING_DESCRIPTION, "       ");
        labels.put(MARKING_DESCRIPTION, "     ");
        labels.put(DISPLAYING_DESCRIPTION, "     ,      ,     ");
    }

    public String getValue(String name) {
        return labels.get(name);
    }

    public String getLabel() {
        return LABEL;
    }
}
